LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XPropertyMatcherFactory Interface Referencepublished

Creates an XPropertyMatcher, given a set of search criteria. More...

`import"XPropertyMatcherFactory.idl";`

Inheritance diagram for XPropertyMatcherFactory:

## Public Member Functions
com::sun::star::ucb::XPropertyMatcher | createPropertyMatcher ([in] sequence< com::sun::star::ucb::SearchCriterium > Criteria)
| Creates an XPropertyMatcher. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Creates an XPropertyMatcher, given a set of search criteria.

## Member Function Documentation

## ◆ createPropertyMatcher()

com::sun::star::ucb::XPropertyMatcher createPropertyMatcher | ( | [in] sequence< com::sun::star::ucb::SearchCriterium > | Criteria | ) |

Creates an XPropertyMatcher.

Parameters

  Criteria | The set of search criteria the returned XPropertyMatcher will use.

Returns
  An XPropertyMatcher with the given search criteria.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XPropertyMatcherFactory.idl